/*
 * version: outputs the wxWindows 2.0 version number.
 * Switches:
 *   -header          Output an include file defining WXWIN2_VERSION_NUMBER
 *   -raw             Output just the number (default)
 */

#include <stdio.h>
#include <string.h>
#include <wx/version.h>

#define MODE_RAW    1
#define MODE_HEADER 2

int main(int argc, char* argv[])
{
    int mode = MODE_RAW;
    float ver = wxVERSION_FLOAT;

    if (argc > 1)
    {
        if (strcmp(argv[1], "-raw") == 0)
            mode = MODE_RAW;
        else if (strcmp(argv[1], "-header") == 0)
            mode = MODE_HEADER;
    }
    switch (mode)
    {
        case MODE_HEADER:
        {
            printf("#define WXWIN2_VERSION_NUMBER %.2f\n", ver);
            break;
        }
        case MODE_RAW:
        default:
        {
            printf("%.2f\n", ver);
            break;
        }
    }
    return 0;
}
